Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1107813

Summary: jquery.js has wrong line encoding
Product: [Fedora] Fedora Reporter: Scott K Logan <logans>
Component: python-sphinxAssignee: Michel Alexandre Salim <michel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 22CC: a.badger, michele, michel
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-sphinx-1.2.3-3.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-30 01:00:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Scott K Logan 2014-06-10 17:05:47 UTC
Description of problem:
The file jquery.js which gets installed by sphinx in downstream packages that build HTML documentation, has the wrong line encoding.

This is only affecting the version in rawhide.

Version-Release number of selected component (if applicable):
python-sphinx-1.2.2-5.fc21

How reproducible: 100%

Steps to Reproduce:
1. Compile HTML documentation using sphinx
2. Check line encoding of jquery.js
3.

Actual results:
rpmlint reports W: wrong-file-end-of-line-encoding /usr/share/doc/<package>/html/_static/jquery.js

Expected results:
Correct Linux EOL encoding is used.

Comment 1 Jaroslav Reznik 2015-03-03 16:00:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2015-07-20 14:12:32 UTC
python-sphinx-1.2.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc21

Comment 3 Fedora Update System 2015-07-20 14:12:54 UTC
python-sphinx-1.2.3-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc22

Comment 4 Fedora Update System 2015-07-21 08:17:58 UTC
Package python-sphinx-1.2.3-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-sphinx-1.2.3-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11875/python-sphinx-1.2.3-3.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-30 01:00:14 UTC
python-sphinx-1.2.3-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-07-31 07:57:43 UTC
python-sphinx-1.2.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.